@import "./variables.scss";
@import "./debug.scss";

/* base settings */
* {
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  padding: 0;
  margin: 0;
  background-color: $background_light;
  color: $font_light;
  font-family: $font_text;
}

.page-container {
  display: grid;
  justify-items: center;
  min-height: 70vh;
}

h1,
h2,
h3,
h4 {
  margin: 0;
}

ul {
  list-style: none;
  padding: 0;
}

img {
  max-width: 100%;
}

a {
  color: $font_light;
  text-decoration: none;
}

/* Class */

// class for <b>
.blight {
  color: $blue_light;
}

.bdark {
  color: $blue_dark;
}

//class for icons
.logo {
  width: 60px;
  height: 60px;
  filter: invert(35%) sepia(89%) saturate(987%) hue-rotate(170deg)
    brightness(106%) contrast(104%);
}

//class for links
.link:hover {
  color: $blue_light;
  transition: 250ms;
}

.active {
  color: $blue_light;
}

//class for input
.input {
  line-height: 20px;
  border: 1px solid #c8c8c8;
}

.input:focus {
  outline: solid $blue_light;
}

//class for button
.button {
  background-color: $blue_light;
  color: $font_dark;
  border: none;
  padding-block: 10px;
  cursor: pointer;
}

.button:hover {
  background-color: $blue_dark;
}

//class for card
.card {
  background-color: #fff;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.card-form {
  background-color: $box_light;
  box-shadow: 5px 5px 15px 5px #d7eaf1;
}

//class for border
.radius {
  border-radius: $radius;
}

// class for flex

.d-flex {
  display: flex;
}

.flex-row {
  flex-direction: row;
}

.flex-column {
  flex-direction: column;
}

.wrap {
  flex-wrap: wrap;
}

// padding

.p-10 {
  padding: 10px;
}

.p-20 {
  padding: 20px;
}

.p-30 {
  padding: 30px;
}

// margin

.m-10 {
  margin: 10px;
}

.m-20 {
  margin: 20px;
}

.m-30 {
  margin: 30px;
}
